Summary: Socks Server 5 
Name: ss5
Version: 3.8.9
Release: %mkrel 7
License: GPL 
Group: System/Servers
URL: http://sourceforge.net/projects/ss5
Source: http://prdownloads.sourceforge.net/ss5/ss5-%{version}-6.tar.gz
Patch0: ss5-make.diff
Patch1: ss5-ss5-ha-loc.diff
Patch2: ss5-init.diff
BuildRequires: openldap-devel
BuildRequires: pam-devel
BuildRequires: openssl-devel 
BuildRequires: gssglue-devel
BuildRequires: krb5-devel
BuildRequires: mysql-devel
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description
ss5 is a socks server, which supports both SOCKS4 and SOCKS5 protocols,
that runs on Linux, Solaris and FreeBSD platforms. 

%prep
%setup -n ss5-%{version}
%patch0 -p0 -b .makedir
%patch1 -p0 -b .ss5ha
%patch2 -p0 -b .lsb

%build

%configure2_5x \
	--with-epollio \
	--with-gssapi \
	--with-mysql \
	--with-logpathbase=%{_logdir}/ss5 \
	--with-configfile=%{_sysconfdir}/ss5/ss5.conf \
	--with-passwordfile=%{_sysconfdir}/ss5/ss5.passwd \
	--with-logfile=%{_logdir}/ss5/ss5.log \
	--with-profilepath=%{_sysconfdir}/ss5 \
	--with-libpath=%{_libdir} \
	--with-tracepath=%{_logdir}/ss5 \
	--with-confpathbase=%{_sysconfdir}

make -j2 CXX="g++ %optflags" 

%install 
rm -rf %{buildroot}
%makeinstall dst_dir=%{?buildroot:%{buildroot}}
find %{?buildroot:%{buildroot}}/%{_mandir} -name "*.bz2" -exec rm {} \;

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/ss5 0755 root root
EOF

%clean
rm -rf %{buildroot}

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

if [ $1 = 0 ]; then
#        /sbin/service ss5 stop > /dev/null 2>&1
        /sbin/chkconfig --del ss5
fi

%files
%defattr(755,root,root)
%{_sbindir}/ss5
%{_sbindir}/ss5srv
%{_initrddir}/ss5
%{_libdir}/ss5/

%defattr(644,root,root)
%dir %{_docdir}/ss5
%{_docdir}/ss5/License
%{_docdir}/ss5/README.pam
%dir %{_docdir}/ss5/examples
%{_docdir}/ss5/examples/ss5.pam
%{_docdir}/ss5/README.ldap
%{_docdir}/ss5/examples/slapd.conf
%{_docdir}/ss5/examples/entries.ldif
%{_docdir}/ss5/README.statmgr
%{_docdir}/ss5/README.balamgr
%{_mandir}/man1/ss5.1.*
%{_mandir}/man1/ss5srv.1.*
%{_mandir}/man5/ss5.passwd.5.*
%{_mandir}/man5/ss5.ha.5.*
%{_mandir}/man5/ss5.conf.5.*
%{_mandir}/man5/ss5.pam.5.*
%{_mandir}/man5/ss5_gss.5.*
%{_mandir}/man5/ss5_supa.5.*

%defattr(755,root,root)
%{_localstatedir}/log/ss5

%defattr(644,root,root)
%dir %{_sysconfdir}/ss5
%config(noreplace) %{_sysconfdir}/ss5/ss5.conf
%config(noreplace) %{_sysconfdir}/ss5/ss5.passwd
%config(noreplace) %{_sysconfdir}/ss5/ss5.ha
%config(noreplace) %{_sysconfdir}/pam.d/ss5
%config(noreplace) %{_sysconfdir}/sysconfig/ss5
%{_tmpfilesdir}/%{name}.conf


%changelog

* Sun Mar 24 2013 colin <colin> 3.8.9-7.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Mon Jan 14 2013 umeabot <umeabot> 3.8.9-6.mga3
+ Revision: 382619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + luigiwalser <luigiwalser>
    - add tmpfiles config for /run/ss5

* Sat Jul 21 2012 dlucio <dlucio> 3.8.9-5.mga3
+ Revision: 273059
- new tarball

* Thu Mar 22 2012 dlucio <dlucio> 3.8.9-4.mga2
+ Revision: 225625
- Trying to fix systemd integration

* Wed Mar 21 2012 dlucio <dlucio> 3.8.9-3.mga2
+ Revision: 225469
- P2 rediffed, now it starts okay

* Tue Mar 20 2012 dlucio <dlucio> 3.8.9-2.mga2
+ Revision: 224966
- I was missing /var/run/ss5 directory

* Mon Jan 23 2012 dlucio <dlucio> 3.8.9-1.mga2
+ Revision: 200282
- 3.8.9-5 latest stable snapshoot
- First import
- imported package ss5

